#define _c_APKRES                                                               
/***********************************************************************/       
/*                                                                     */       
/* MODULE NAME: APKRES.C                                               */       
/*                                                                     */       
/*                                                                     */       
/* SYNOPSIS:  ACIF Sample Resource Exit                                */       
/*                                                                     */       
/*                                                                     */       
/* DESCRIPTION:  This module contains the sample Resource user exit.   */       
/*                                                                     */       
/* COPYRIGHT:                                                      @04A*/       
/*  5648-062,5765-140,5639-I27 (C) COPYRIGHT IBM CORPORATION 1993,2000 */       
/*  All Rights Reserved                                                */       
/*  Licensed Materials - Property of IBM                               */       
/*                                                                     */       
/*  US Government Users Restricted Rights - Use, duplication or        */       
/*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.  */       
/*                                                                     */       
/* NOTE: This program sample is provided on an as-is basis.            */       
/*       The licensee of the PSF product is free to copy, revise,      */       
/*       modify, and make derivative works of this program sample      */       
/*       as they see fit.                                              */       
/*                                                                     */       
/* STATUS = RELEASE 1  LEVEL 0                                         */       
/*                                                                     */       
/*                                                                     */       
/* EXTERNAL STATIC VARIABLES: None                                     */       
/*                                                                     */       
/*                                                                     */       
/* NOTES:                                                              */       
/*                                                                     */       
/*                                                                     */       
/* CHANGE ACTIVITY:                                                    */       
/*                                                                     */       
/* PROBNO  REL   DATE/AUTHOR DESCRIPTION                          FICHE*/       
/* ------- ----- ----------- -----------                          -----*/       
/* PN71191 P238  5/95 T. Medearis  Correct Copyright years         @01A*/       
/* PQ10246 P399  9/97 T. Medearis  Port to NT    P442              @02A*/       
/* PQ19344 P452  9/98 P. Muir      Port to HP/UX                   @03A*/       
/*         P490  1/00 D. Pirie     Copyright and IPM NT product #  @04A*/       
/*                                                                     */       
/***********************************************************************/       
#include "apkexits.h"                                                           
                                                                                
long ACIF_EXPORT RESEXIT( RESEXIT_PARMS *exitstruc)                             
 {                                                                              
   /******************************************************************/         
   /* Don't include the Font Character Sets.                         */         
   /******************************************************************/         
   if(exitstruc->eof != RSP_EOFLAG)                                             
   {                                                                            
      if(exitstruc->restype == 0x40)                                            
         exitstruc->request = RSP_IGNORE;                                       
      else                                                                      
         exitstruc->request = RSP_USE;                                          
   }                                                                            
                                                                                
   return( 0 );                                                                 
}                                                                               
